Skip to main content
POST
Cancel async entity transfer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Unique identifier of the async entity transfer to cancel

Response

Async entity transfer request successfully cancelled

id
string<uuid>
required

Unique identifier of the transfer

Example:

"123e4567-e89b-12d3-a456-426614174000"

type
enum<string>
required

Type of transfer, always "entity" for EntityTransferDto

Available options:
GrantTransfer,
EntityTransfer
Example:

"entity"

status
enum<string>
required
deprecated

Status of the transfer (deprecated)

Available options:
PendingReview,
Approved,
Rejected
Example:

"approved"

transactionHash
object | null
required

Transaction hash of the donation made to the target entity

Example:

"0x1234567890abcdef"

netAmount
object | null
required

Net output amount for the transfer (total - fees) in USDC smallest currency unit (1000000 = 1 USD)

Example:

"1000000"

fee
object | null
required

Fee charged on this transfer in USDC smallest currency unit (1000000 = 1 USD)

Example:

"10000"

createdAtUtc
string<date-time>
required

UTC timestamp when the transfer was created

Example:

"2024-03-20T10:30:00Z"

requestedAmount
object | null
required

Requested amount for the transfer in USDC smallest currency unit (1000000 = 1 USD) (only for async transfers)

Example:

"1000000"

updatedAtUtc
string<date-time>
required

UTC timestamp when the transfer was last updated

Example:

"2024-03-20T10:30:00Z"

asyncStatus
enum<string>
required

Current status of the async transfer request

Available options:
PendingLiquidation,
Liquidated,
Cancelled
Example:

"pending"

chainId
object | null
required

Chain ID where the transfer occurred (null for async transfers)

Example:

1